package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: MdmDimResourceType
 * @Description: 数据资源类型维表实体类
 * @author: Zhao You Kai
 * @date: Feb 20, 2019 3:10:24 PM
 */
public class MdmDimResourceType {
	@ApiModelProperty("ID")
	private Integer id;
	@ApiModelProperty("类型名称")
	private String typeName;
	@ApiModelProperty("类型描述")
	private String typeDesc;
	@ApiModelProperty("不同数据库JDBC连接url")
	private String url;
	@ApiModelProperty("不同数据库JDBC加载驱动")
	private String driverName;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getDriverName() {
		return driverName;
	}

	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getTypeDesc() {
		return typeDesc;
	}

	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}

}
